Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ProxySupplier Class Template Reference

TAO_Notify_ProxySupplier. More...

`#include <Notify_ProxySupplier_T.h>`

Inheritance diagram for TAO_Notify_ProxySupplier:

[legend]
Collaboration diagram for TAO_Notify_ProxySupplier:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ProxySupplier (TAO_Notify_ConsumerAdmin_i *consumeradmin)
| Constructor. More...
virtual | ~TAO_Notify_ProxySupplier (void)
| Destructor. More...
void | init (CosNotifyChannelAdmin::ProxyID myID ACE_ENV_ARG_DECL)
| Init the Proxy. More...
virtual void | dispatch_event (TAO_Notify_Event &event ACE_ENV_ARG_DECL)
| Callback methods to supply the event to the listener. More...
virtual CORBA::Boolean | evaluate_filter (TAO_Notify_Event &event, CORBA::Boolean eval_parent ACE_ENV_ARG_DECL)
| Evaluates true if this event is acceptable by the listener. More...
virtual TAO_Notify_Worker_Task * | event_dispatch_task (void)
| The Worker task associated with the event listener for event dispatching. More...
virtual TAO_Notify_Worker_Task * | filter_eval_task (void)
| The Worker task associated with the event listener for filter evaluation. More...
virtual CosNotifyChannelAdmin::ConsumerAdmin_ptr | MyAdmin (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | suspend_connection (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::ConnectionAlreadyInactive, CosNotifyChannelAdmin::NotConnected )
virtual void | resume_connection (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::ConnectionAlreadyActive, CosNotifyChannelAdmin::NotConnected )
virtual CosNotifyFilter::MappingFilter_ptr | priority_filter (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | priority_filter (CosNotifyFilter::MappingFilter_ptr priority_filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyFilter::MappingFilter_ptr | lifetime_filter (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | lifetime_filter (CosNotifyFilter::MappingFilter_ptr lifetime_filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotification::EventTypeSeq * | obtain_offered_types (CosNotifyChannelAdmin::ObtainInfoMode mode ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual void | subscription_change (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyComm::InvalidEventType )
virtual void | set_qos (const CosNotification::QoSProperties &qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
## Protected Types
typedef ACE_Unbounded_Queue< TAO_Notify_Event *> | TAO_Notify_Event_List
| A list of events populated when we're suspended. More...
## Protected Methods
virtual void | dispatch_event_i (TAO_Notify_Event &event ACE_ENV_ARG_DECL)=0
| Derived classes should implement this. More...
void | on_connected (ACE_ENV_SINGLE_ARG_DECL)
| Derived classes should call this when their consumers connect. More...
void | on_disconnected (ACE_ENV_SINGLE_ARG_DECL)
| Derived classes should call this when their consumers disconnect. More...
## Protected Attributes
TAO_Notify_ConsumerAdmin_i * | consumer_admin_
| My parent consumer admin. More...
TAO_Notify_EventType_List | subscription_list_
| A list of event types that we are interested in. More...
CORBA::Boolean | is_suspended_
| True if we are connected to a consumer and suspended. More...
TAO_Notify_Event_List | event_list_
TAO_Notify_Worker_Task * | dispatching_task_
| The dispatching task to send events to a listener group affiliated with this listener. More...
TAO_Notify_Worker_Task * | filter_eval_task_
| The filter evaluation task for this listener. More...

## Detailed Description

### template<class SERVANT_TYPE>
class TAO_Notify_ProxySupplier< SERVANT_TYPE >

TAO_Notify_ProxySupplier.

The is a base class for all proxy suppliers.

## Member Typedef Documentation

template<class SERVANT_TYPE>
typedef ACE_Unbounded_Queue<TAO_Notify_Event*> TAO_Notify_ProxySupplier::TAO_Notify_Event_List`[protected]`

| A list of events populated when we're suspended.

## Constructor & Destructor Documentation

template<class SERVANT_TYPE>
TAO_Notify_ProxySupplier< SERVANT_TYPE >::TAO_Notify_ProxySupplier | ( | TAO_Notify_ConsumerAdmin_i * | consumer_admin | ) |

| Constructor.

template<class SERVANT_TYPE>
TAO_Notify_ProxySupplier< SERVANT_TYPE >::~TAO_Notify_ProxySupplier | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class SERVANT_TYPE>
void TAO_Notify_ProxySupplier< SERVANT_TYPE >::dispatch_event | ( | TAO_Notify_Event &event | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Callback methods to supply the event to the listener. Reimplemented from TAO_Notify_EventListener.

template<class SERVANT_TYPE>
virtual void TAO_Notify_ProxySupplier< SERVANT_TYPE >::dispatch_event_i | ( | TAO_Notify_Event &event | ACE_ENV_ARG_DECL | ) | `[protected, pure virtual]`

| Derived classes should implement this. Reimplemented in TAO_Notify_ProxyPushSupplier_i, TAO_Notify_SequenceProxyPushSupplier_i, and TAO_Notify_StructuredProxyPushSupplier_i.

template<class SERVANT_TYPE>
CORBA::Boolean TAO_Notify_ProxySupplier< SERVANT_TYPE >::evaluate_filter | ( | TAO_Notify_Event & | event,
|  | CORBA::Boolean eval_parent | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Evaluates true if this event is acceptable by the listener. The <eval_parent> is a hint to the listener to help it determine if its wise to evaluate the parents filter too. This helps in implementing the "interfilter group operator" logic. Reimplemented from TAO_Notify_EventListener.

template<class SERVANT_TYPE>
TAO_Notify_Worker_Task * TAO_Notify_ProxySupplier< SERVANT_TYPE >::event_dispatch_task | ( | void |  | ) | `[virtual]`

| The Worker task associated with the event listener for event dispatching. Reimplemented from TAO_Notify_EventListener.

template<class SERVANT_TYPE>
TAO_Notify_Worker_Task * TAO_Notify_ProxySupplier< SERVANT_TYPE >::filter_eval_task | ( | void |  | ) | `[virtual]`

| The Worker task associated with the event listener for filter evaluation. Reimplemented from TAO_Notify_EventListener.

template<class SERVANT_TYPE>
void TAO_Notify_ProxySupplier< SERVANT_TYPE >::init | ( | CosNotifyChannelAdmin::ProxyID myID | ACE_ENV_ARG_DECL | ) |

| Init the Proxy.

template<class SERVANT_TYPE>
void TAO_Notify_ProxySupplier< SERVANT_TYPE >::lifetime_filter | ( | CosNotifyFilter::MappingFilter_ptr | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
CosNotifyFilter::MappingFilter_ptr TAO_Notify_ProxySupplier< SERVANT_TYPE >::lifetime_filter | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
CosNotifyChannelAdmin::ConsumerAdmin_ptr TAO_Notify_ProxySupplier< SERVANT_TYPE >::MyAdmin | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
CosNotification::EventTypeSeq * TAO_Notify_ProxySupplier< SERVANT_TYPE >::obtain_offered_types | ( | CosNotifyChannelAdmin::ObtainInfoMode mode | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
void TAO_Notify_ProxySupplier< SERVANT_TYPE >::on_connected | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

| Derived classes should call this when their consumers connect.

template<class SERVANT_TYPE>
void TAO_Notify_ProxySupplier< SERVANT_TYPE >::on_disconnected | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

| Derived classes should call this when their consumers disconnect.

template<class SERVANT_TYPE>
void TAO_Notify_ProxySupplier< SERVANT_TYPE >::priority_filter | ( | CosNotifyFilter::MappingFilter_ptr | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
CosNotifyFilter::MappingFilter_ptr TAO_Notify_ProxySupplier< SERVANT_TYPE >::priority_filter | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
void TAO_Notify_ProxySupplier< SERVANT_TYPE >::resume_connection | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::ConnectionAlreadyActive, CosNotifyChannelAdmin::NotConnected )`[virtual]`

template<class SERVANT_TYPE>
void TAO_Notify_ProxySupplier< SERVANT_TYPE >::set_qos | ( | const CosNotification::QoSProperties &qos | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

| Reimplemented from TAO_Notify_Proxy.

template<class SERVANT_TYPE>
void TAO_Notify_ProxySupplier< SERVANT_TYPE >::subscription_change | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyComm::InvalidEventType )`[virtual]`

template<class SERVANT_TYPE>
void TAO_Notify_ProxySupplier< SERVANT_TYPE >::suspend_connection | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::ConnectionAlreadyInactive, CosNotifyChannelAdmin::NotConnected )`[virtual]`

## Member Data Documentation

template<class SERVANT_TYPE>
TAO_Notify_ConsumerAdmin_i* TAO_Notify_ProxySupplier::consumer_admin_`[protected]`

| My parent consumer admin.

template<class SERVANT_TYPE>
TAO_Notify_Worker_Task* TAO_Notify_ProxySupplier::dispatching_task_`[protected]`

| The dispatching task to send events to a listener group affiliated with this listener.

template<class SERVANT_TYPE>
TAO_Notify_Event_List TAO_Notify_ProxySupplier::event_list_`[protected]`

template<class SERVANT_TYPE>
TAO_Notify_Worker_Task* TAO_Notify_ProxySupplier::filter_eval_task_`[protected]`

| The filter evaluation task for this listener.

template<class SERVANT_TYPE>
CORBA::Boolean TAO_Notify_ProxySupplier::is_suspended_`[protected]`

| True if we are connected to a consumer and suspended.

template<class SERVANT_TYPE>
TAO_Notify_EventType_List TAO_Notify_ProxySupplier::subscription_list_`[protected]`

| A list of event types that we are interested in.

The documentation for this class was generated from the following files:

- Notify_ProxySupplier_T.h
- Notify_ProxySupplier_T.cpp